Bug 188618 - concurrent access to /dev/urandom can output same value on smp kernels
concurrent access to /dev/urandom can output same value on smp kernels
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 15:11 EDT by Marc Beauregard
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Beauregard 2006-04-11 15:11:11 EDT
Description of problem:
/dev/urandom can return duplicate values when two processors read from it at 
the same time.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-37

How reproducible:
Having 2 processes running on 2 processors accessing the /dev/urandom file.
  
Actual results:
The same values are read from the read() call on /dev/urandom.

Expected results:
Different values from the read() calls.

Additional info:
This bug has been fixed in kernel 2.6.10. When will this be introduced in the 
2.4.x kernels from RedHat ?

Do a search on 'concurrent acces /dev/urandom' and you should find the bug 
details and the bug fixes related to it.
Comment 1 RHEL Product and Program Management 2007-10-19 14:45:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.